Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05758 Crash/Freeze Critical (emulator) Always Oct 22, 2014, 20:42 Aug 29, 2016, 23:41
Tester Tafoid View Status Public Platform MESS (Official Binary)
Assigned To Resolution Fixed OS
Status [?] Resolved Driver sun3.cpp
Version 0.155 Fixed in Version 0.170 Build Debug
Summary MESS-specific 05758: sun3_80: [debug] Assert shortly after start
Description About 5 seconds into emulation, the emulator stops with an assert:
FATALERROR: assert: src/emu/machine/ncr539x.c:343: m_buffer_offset < m_buffer_size
Steps To Reproduce
Additional Information
Flags Debug build specific
Regression Version 0.155
Affected Sets / Systems sun3_80
Attached Files
 
Relationships
related to 05641Resolved sun3_80: AddressSanitizer: heap-buffer-overflow 
Notes
2
User avatar
No.11166
B2K24
Moderator
Oct 22, 2014, 22:15
I can reproduce except I get c:342: in the message instead of c:343:
User avatar
No.11477
Firewave
Senior Tester
Feb 26, 2015, 09:52
This is not fixed - it still happens with 0.159

MAME exception: assert: src/emu/machine/ncr539x.c:342: m_buffer_offset < m_buffer_size